GWT 2.7.0

## com.google.gwt.aria.client
Class State

    java.lang.Object
      com.google.gwt.aria.client.State

    public final class State

extends java.lang.Object

Class that contains constants for ARIA states. States combined with ARIA roles supply information about the changes in the web page that can be used for alerts, notification, navigation assistance. The state is changed as a result of an user interaction and developers should consider changing the widget state when handling user actions.

The following groups of states exist:

1. Widget states -- specific to common user interface elements found on GUI systems or in rich Internet applications which receive user input and process user actions
2. Live Region states -- specific to live regions in rich Internet applications; may be applied to any element; indicate that content changes may occur without the element having focus, and provides assistive technologies with information on how to process those content updates.
3. Drag-and-drop states -- indicates information about draggable elements and their drop targets

Field Summary
`static Attribute<java.lang.Boolean>` | `BUSY`
`static Attribute<CheckedValue>` | `CHECKED`
`static Attribute<java.lang.Boolean>` | `DISABLED`
`static Attribute<ExpandedValue>` | `EXPANDED`
`static Attribute<GrabbedValue>` | `GRABBED`
`static Attribute<java.lang.Boolean>` | `HIDDEN`
`static Attribute<InvalidValue>` | `INVALID`
`static Attribute<PressedValue>` | `PRESSED`
`static Attribute<SelectedValue>` | `SELECTED`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUSY

    public static final Attribute<java.lang.Boolean> BUSY

### CHECKED

    public static final Attribute<CheckedValue> CHECKED

### DISABLED

    public static final Attribute<java.lang.Boolean> DISABLED

### EXPANDED

    public static final Attribute<ExpandedValue> EXPANDED

### GRABBED

    public static final Attribute<GrabbedValue> GRABBED

### HIDDEN

    public static final Attribute<java.lang.Boolean> HIDDEN

### INVALID

    public static final Attribute<InvalidValue> INVALID

### PRESSED

    public static final Attribute<PressedValue> PRESSED

### SELECTED

    public static final Attribute<SelectedValue> SELECTED

GWT 2.7.0